Subject: RE: Pipes interfere with terminal output under coolview 970810
From: [email-masked] (Sergey Okhapkin)

16 Aug 1997 09:10:09 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BCAA5E.5DF227D0.cygnus.gnu-win32@sos>
Original-To: gnu-win32 <[email-masked]>,
        "'Michael A. Chase'"
	 <[email-masked]>
Encoding: 26 TEXT
Original-Sender: [email-masked]

Michael A. Chase wrote:
> When I use a pipe on the command line, the results from the final command
> do not appear on the display.  I can send the output to a file.
> 
> I'm using WinNt 4.0 SP3, gnuwin32 b18, and coolview dated 970810.  The
> problem goes away when I reinstall the cgywin.dll dated 970731.

Fixed.

diff -ur /winsup/dcrt0.cc winsup/dcrt0.cc
--- /winsup/dcrt0.cc    Tue Aug 12 23:46:29 1997
+++ winsup/dcrt0.cc     Sat Aug 16 12:45:35 1997
@@ -671,7 +671,7 @@
     }

   /* Kill the foreground process group on session leader exit */
-  if (getpid () == u->self->sid && u->self->ctty != -1)
+  if (getpgrp () > 0 && getpid () == u->self->sid && u->self->ctty != -1)
     {
       tty *ttyp = s->t.gettty (u->self->ctty);

-- 
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia
Looking for a job

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".